Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 990063002: Fix build on solaris platforms (Closed)

Created:
3 years, 9 months ago by jbergstroem
Modified:
3 years, 9 months ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Fix build on solaris platforms e8b9f2d7 introduced a different cast which broke building on Illumos. Revert to previous behavior for V8_OS_SOLARIS only. Found on SmartOS while building with gcc 4.9.0. edit1: adding jochen to reviewers since he was assigned through the issue tracker and danno since he seems to do a fair amount of cross-platform work edit2: removing BUG reference because I don't understand what LOG needs to contain (and it seems to link to chromium and not the v8 repo). Please edit commit message as appropriate. BUG=3935 LOG=n Committed: https://crrev.com/68d5f916d885462621d52ceafdd605ce1fd28c24 Cr-Commit-Position: refs/heads/master@{#27163}

Patch Set 1 #

Total comments: 1

Patch Set 2 : Add myself to AUTHORS #

Patch Set 3 : Use primary email in AUTHORS #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -0 lines) Patch
M AUTHORS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M src/base/platform/platform-posix.cc View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 23 (8 generated)
jbergstroem
Build fix on solaris/illumos. Revert to previous behavior for this platform.
3 years, 9 months ago (2015-03-09 01:28:16 UTC) #2
jochen (gone - plz use gerrit)
https://codereview.chromium.org/990063002/diff/1/src/base/platform/platform-posix.cc File src/base/platform/platform-posix.cc (right): https://codereview.chromium.org/990063002/diff/1/src/base/platform/platform-posix.cc#newcode276 src/base/platform/platform-posix.cc:276: #elif V8_OS_SOLARIS can you merge this with the previous ...
3 years, 9 months ago (2015-03-09 16:09:11 UTC) #4
jochen (gone - plz use gerrit)
also, please add yourself to AUTHORS for our fancy new presubmit check to work
3 years, 9 months ago (2015-03-09 16:20:02 UTC) #5
jbergstroem
On 2015/03/09 16:09:11, jochen (traveling) wrote: > https://codereview.chromium.org/990063002/diff/1/src/base/platform/platform-posix.cc > File src/base/platform/platform-posix.cc (right): > > https://codereview.chromium.org/990063002/diff/1/src/base/platform/platform-posix.cc#newcode276 ...
3 years, 9 months ago (2015-03-09 20:34:28 UTC) #6
jbergstroem
On 2015/03/09 16:20:02, jochen (traveling) wrote: > also, please add yourself to AUTHORS for our ...
3 years, 9 months ago (2015-03-09 20:35:25 UTC) #7
jochen (gone - plz use gerrit)
lgtm
3 years, 9 months ago (2015-03-10 13:03:14 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/990063002/20001
3 years, 9 months ago (2015-03-10 13:04:21 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/1088)
3 years, 9 months ago (2015-03-10 14:16:15 UTC) #12
jbergstroem
On 2015/03/10 14:16:15, I haz the power (commit-bot) wrote: > Try jobs failed on following ...
3 years, 9 months ago (2015-03-10 20:57:33 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/990063002/40001
3 years, 9 months ago (2015-03-11 16:02:02 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/1148)
3 years, 9 months ago (2015-03-11 16:09:00 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/990063002/40001
3 years, 9 months ago (2015-03-12 15:11:05 UTC) #20
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 9 months ago (2015-03-12 15:12:42 UTC) #21
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/68d5f916d885462621d52ceafdd605ce1fd28c24 Cr-Commit-Position: refs/heads/master@{#27163}
3 years, 9 months ago (2015-03-12 15:12:55 UTC) #22
bnoordhuis
3 years, 9 months ago (2015-03-17 11:14:35 UTC) #23
Message was sent while issue was closed.
Jochen, would it be possible to get this back-ported to the 4.1 and 4.2
branches?  io.js is currently floating it as a patch on top of 4.1.

Powered by Google App Engine
This is Rietveld 408576698